- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QFontEngineInfo Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qabstractfontengine_qws.h.

`#include <qabstractfontengine_qws.h>`

List of all members.

## Public Member Functions
| QFontEngineInfo ()
| QFontEngineInfo (const QString &family)
| QFontEngineInfo (const QFontEngineInfo &other)
QFontEngineInfo & | operator= (const QFontEngineInfo &other)
| ~QFontEngineInfo ()
void | setFamily (const QString &name)
QString | family () const
void | setPixelSize (qreal size)
qreal | pixelSize () const
void | setWeight (int weight)
int | weight () const
void | setStyle (QFont::Style style)
QFont::Style | style () const
QList < QFontDatabase::WritingSystem > | writingSystems () const
void | setWritingSystems (const QList< QFontDatabase::WritingSystem > &writingSystems)

## Constructor & Destructor Documentation

QFontEngineInfo | ( |  | ) |

QFontEngineInfo | ( | const QString & | family | ) | `[explicit]`

QFontEngineInfo | ( | const QFontEngineInfo & | other | ) |

~QFontEngineInfo | ( |  | ) |

## Member Function Documentation

QFontEngineInfo& operator= | ( | const QFontEngineInfo & | other | ) |

void setFamily | ( | const QString & | name | ) |

Search for all occurrences

QString family | ( |  | ) | const

Search for all occurrences

void setPixelSize | ( | qreal | size | ) |

Search for all occurrences

qreal pixelSize | ( |  | ) | const

Search for all occurrences

void setWeight | ( | int | weight | ) |

Search for all occurrences

int weight | ( |  | ) | const

Search for all occurrences

void setStyle | ( | QFont::Style | style | ) |

Search for all occurrences

QFont::Style style | ( |  | ) | const

Search for all occurrences

QList<QFontDatabase::WritingSystem> writingSystems | ( |  | ) | const

Search for all occurrences

void setWritingSystems | ( | const QList< QFontDatabase::WritingSystem > & | writingSystems | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qabstractfontengine_qws.h

QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo
QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo QFontEngineInfo